<?php 
//Añade un nuevo anuncio de piso al servicio
$server = "localhost"; 
$username = "root"; 
$password = "opsivir"; 
$database = "prueba";

$con = mysql_connect($server, $username, $password) or die ("No se conecto: " . mysql_error());

 mysql_select_db($database, $con); 

 $user  =  mysql_escape_string($_GET["user"]);
 $direccion  =  mysql_escape_string($_GET["direccion"]);
 $zipcode  =  mysql_escape_string($_GET["zipcode"]);
 $city  =  strtolower(mysql_escape_string($_GET["city"]));
 $comments  =  mysql_escape_string($_GET["comments"]);
 $precio  = mysql_escape_string($_GET["precio"]);

$resultados = array();
 //Consulta para añadir el nuevo anuncio
 $result = mysql_query("INSERT INTO pisos(nickname,direccion,ciudad,codigopostal,comentarios,preciomes) VALUES ('$user', '$direccion', '$city', '$zipcode', '$comments', '$precio')");
 if (!$result){
     echo "La consulta SQL contiene errores.".mysql_error();
     exit();
  }
 //recuperaremos la informacion de la idPiso que se genera automaticamente de manera incremental, para luego crear la carpeta del nuevo piso
 $sqlAux = mysql_query("SELECT * FROM pisos ORDER BY idPiso DESC LIMIT 1");
 if (!$sqlAux){
     echo "La consulta SQL contiene errores.".mysql_error();
     exit();
  }
  
 $row = mysql_fetch_array($sqlAux);
//Se crea el nuevo directorio del piso que almacenara en un futuro todas las fotos que se suban 
mkdir("C:/xampp/htdocs/tfg/uploads/".$row[0], 0700);

 mysql_close($con); 
 
$resultados["mensaje"] = "Flat added correctly";
  /*convierte los resultados a formato json*/
$resultadosJson = json_encode($resultados);
 
/*muestra el resultado en un formato que no da problemas de seguridad en browsers */
echo $_GET['jsoncallback'] . '(' . $resultadosJson . ');';
 ?>